summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2013-12-09 13:34:03 +0000
committerPádraig Brady <P@draigBrady.com>2013-12-09 13:37:21 +0000
commitb6d1e842c10bd0fe6d7e6937207c44c753caa7dd (patch)
tree904257c2b61cfbf82a490ec13746f71ede717686
parentb1fb185db87d9e173a2e1eacd1d58e9a1bdbeb40 (diff)
downloadcoreutils-b6d1e842c10bd0fe6d7e6937207c44c753caa7dd.tar.xz
tests: fix false failure due to xargs usage
* tests/readlink/multi.sh: Ensure there is a trailing delimeter or xargs may (on AIX 7 at least) suppress the last argument.
-rwxr-xr-xtests/readlink/multi.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/readlink/multi.sh b/tests/readlink/multi.sh
index 3b9154430..dc4ba8776 100755
--- a/tests/readlink/multi.sh
+++ b/tests/readlink/multi.sh
@@ -40,7 +40,7 @@ compare exp out || fail=1
# Note the edge case that the last xargs run may not have a delimiter
rm out || framework_failure_
printf '/1\0/1\0/1' > exp || framework_failure_
-printf '/1 /1 /1' | xargs -n2 readlink -n -m --zero >> out || fail=1
+printf '/1 /1 /1 ' | xargs -n2 readlink -n -m --zero >> out || fail=1
compare exp out || fail=1
Exit $fail